# InventorySlotRange

class InventorySlotRange<out T : ForInventory> : InventorySlotCompound<T> , ClosedRange<InventorySlot>
Content copied to clipboard

## Functions

contains
Link copied to clipboard
open operator override fun contains(value: InventorySlot): Boolean
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
isEmpty
Link copied to clipboard
open override fun isEmpty(): Boolean
Content copied to clipboard
realSlotsWithInvType
Link copied to clipboard
open override fun realSlotsWithInvType(invType: InventoryType<T>): List<Int>
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard
withInvType
Link copied to clipboard
open override fun withInvType(invType: InventoryType<T>): LinkedHashSet<InventorySlot>
Content copied to clipboard

## Properties

endInclusive
Link copied to clipboard
open override val endInclusive: InventorySlot
Content copied to clipboard
start
Link copied to clipboard
open override val start: InventorySlot
Content copied to clipboard